"{ Package: 'ctu:ircompiler' }"

IRAccess subclass:#IRTempAccess
	instanceVariableNames:'kind level'
	classVariableNames:''
	poolDictionaries:''
	category:'IR Compiler-IR'
!


!IRTempAccess methodsFor:'accessing'!

kind
    ^ kind

    "Modified: / 28-03-2009 / 20:50:34 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

kind:aSymbol

    self 
        assert:(#(MArg MVar BArg BVar OBArg OBVar Special) includes: aSymbol).

    kind := aSymbol.

    "Modified: / 30-03-2009 / 14:08:00 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

level
    ^ level
!

level:aNumber
    level := aNumber.
! !

!IRTempAccess methodsFor:'testing'!

isSelf
	^self number = 0.
!

isTemp
	^true.
!

isTempAccess
	^true.
!

isTempRead
	^self isTempAccess and: [self isRead].
!

isTempStore
	^self isTempAccess and: [self isStore].
! !

!IRTempAccess class methodsFor:'documentation'!

version_CVS
    ^ 'Header: /cvs/stx/cvut/stx/goodies/newcompiler/IRTempAccess.st,v 1.3 2009/10/08 12:03:42 fm Exp '
!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !

